<?php
/**
* Template File: The users dashboard
*
* @package    Tina-MVC
* @subpackage Tina-Core-Views
* @author     Francis Crossen <francis@crossen.org>
*/

/**
 * You should include this check in every view file you write. The constant is defined in
 * tina_mvc_base_page->load_view() 
 */
if( ! defined('TINA_MVC_LOAD_VIEW') ) exit();
?>
<h2>The Main Tina MVC Entry Page</h2>
<p>This is a Tina MVC front end controller page.</p>

<p>You can choose to make this page invisible and just serve up a 404 if it is called
without a valid controller request. Alternatively if you are developing your own app, you can choose not to create the
front end controller pages at all. This allows you to use Tina MVC for widget and plugin development without
using the login/user dashboard functionality.
</p>

<h3>Have you just installed Tina MVC?</h3>
<p>
If so you can copy the files and directories in `sample_app/` to `app/` to get you started. This will
override this page with new content and some links to the sample page controllers.
</p>
<p>
If you want to revert that action then delete the files and folders in `app/`.
</p>

<? if ( $V->user->ID ) : // are we logged in ?>

<h3><?= $V->user->user_login ?>'s Dashboard</h3>

<h3>Your details</h3>

<table>
    <thead>
    </thead>
    <tbody>
        <tr>
            <td>Username:</td>
            <td><?= $V->user->user_login ?></td>
        </tr>
        <tr>
            <td>Email:</td>
            <td><?= $V->user->user_email ?></td>
        </tr>
    </tbody>
</table>

<p>Go <?= tina_mvc_make_controller_link('user/my-personal-data','here to view your personal data') ?>.</p>

<? else : // are we logged in ?>

<h3>There is nobody logged in and there are no permissions to view this page.</h3>

<p>You can use this page as your staring point for Tina development.</p>

<? endif; // are we logged in ?>

<h3>Cheesy I know, but here is the customary message passed from our page controller:</h3>

<p>The result of <code><?= esc_html('<?= $V->hello_world ?>') ?></code>:<?= $V->hello_world ?></p>

<p>This is the users post login dashboard or the public front end controller page (depending on the view permissions). You can override it with your own by copying this file ('index_view.php') into the 'app' folder
and customising it.</p>
